require 'spec_helper'
require 'pizza'

describe Pizza do
  it "one large pizza for 1 person" do
    pizza = Pizza.new(1)
    expect(pizza.larges).to eq 1
  end

  it "one large pizza for 2 people" do
    pizza = Pizza.new(2)
    expect(pizza.larges).to eq 1
  end

  it "one large pizza for 3 people" do
    pizza = Pizza.new(3)
    expect(pizza.larges).to eq 1
  end

  it "two large pizzas for 4 people" do
    pizza = Pizza.new(4)
    expect(pizza.larges).to eq 2
  end

  it "two large pizzas for 5 people" do
    pizza = Pizza.new(5)
    expect(pizza.larges).to eq 2
  end

  it "two large pizzas for 6 people" do
    pizza = Pizza.new(6)
    expect(pizza.larges).to eq 2
  end

  it "two large pizzas for 7 people" do
    pizza = Pizza.new(7)
    expect(pizza.larges).to eq 2
  end

  it "two large pizzas for 8 people" do
    pizza = Pizza.new(8)
    expect(pizza.larges).to eq 3
  end

  it "three large pizzas for 9 people" do
    pizza = Pizza.new(9)
    expect(pizza.larges).to eq 3
  end

  it "four large pizzas for 12 people" do
    pizza = Pizza.new(12)
    expect(pizza.larges).to eq 4
  end

  it "five large pizzas for 16 people" do
    pizza = Pizza.new(16)
    expect(pizza.larges).to eq 5
  end

  it "one medium pizza for 1 person" do
    pizza = Pizza.new(1)
    expect(pizza.mediums).to eq 1
  end

  it "one medium pizza for 2 people" do
    pizza = Pizza.new(2)
    expect(pizza.mediums).to eq 1
  end

  it "two medium pizzas for 3 people" do
    pizza = Pizza.new(3)
    expect(pizza.mediums).to eq 2
  end

  it "three medium pizzas for 6 people" do
    pizza = Pizza.new(6)
    expect(pizza.mediums).to eq 3
  end
end
